import React, { useState } from 'react'
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Tabs, Card } from 'antd';
import Month from './Month';
import Detail from './Detail';

const { TabPane } = Tabs;

export default (props) => {
  const [active, setActive] = useState("1")
  const [monthId, setMonthId] = useState()

  const handleSwitch = (key, month) => {
    setActive(key)
    setMonthId(month)
  }

  return (
    <PageHeaderWrapper>
      <Card>
        <Tabs activeKey={active} onTabClick={k => handleSwitch(k)}>
          <TabPane tab="月度账单" key="1">
            <Month onSwitch={m => handleSwitch('2', m)} />
          </TabPane>
          <TabPane tab="账单明细" key="2">
            <Detail monthId={monthId} />
          </TabPane>
        </Tabs>
      </Card>
    </PageHeaderWrapper>
  )
}
