import request from '@/utils/request';

/**
 * 获取明细
 * @param {*} data
 * @returns
 */
export const getAccountLogList = (params) => request(`/account-log`, { method: 'get', params });

/**
 * 生成对账明细
 * @param {*} dailyId 
 * @returns 
 */
export const generateAccountLog = (dailyId) => request(`/account-log`, { method: 'post', params: { dailyId } });

/**
 * 获取月度列表
 * @param {*} data
 * @returns
 */
 export const getAccountMonthList = (params) => request(`/account-log/month`, { method: 'get', params });

 /**
  * 生成月度账单
  * @param {*} monthId 
  * @returns 
  */
 export const createMonthInfo = (monthId) => request(`/account-log/month`, { method: 'post', params: { monthId } });
 
 /**
  * 更新月度账单
  * @param {*} monthId 
  * @returns 
  */
 export const updateMonthInfo = (data) => request(`/account-log/month`, { method: 'put', data });
